{
  "include": [
    "."
  ],
  "exclude": [
    "**/node_modules",
    "**/__pycache__",
    "**/migrations"
  ],
  "stubPath": "stubs",
  "typeCheckingMode": "strict",
  "reportIncompatibleMethodOverride": "error",
  "reportIncompatibleVariableOverride": "error",
  "reportGeneralTypeIssues": "error",
  "reportReturnType": "error",
  "reportMissingImports": "error",
  "reportMissingTypeStubs": "warning",
  "reportUndefinedVariable": "error",
  "reportUnusedImport": "warning",
  "reportUnusedVariable": "warning",
  "pythonVersion": "3.13"
}
